    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -------------------------------------
    028 * AbstractElementDefinitionHandler.java
    029 * -------------------------------------
    030 * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: AbstractElementDefinitionHandler.java,v 1.3 2005/10/18 13:25:44 mungady Exp $
    036 *
    037 * Changes
    038 * -------------------------
    039 * 23.06.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml;
    044
    045import org.xml.sax.Attributes;
    046import org.xml.sax.SAXException;
    047
    048/**
    049 * An abstract element definition handler.
    050 *
    051 * @author Thomas Morgner
    052 */
    053public abstract class AbstractElementDefinitionHandler implements ElementDefinitionHandler {
    054
    055    /** A parser. */
    056    private Parser parser;
    057
    058    /**
    059     * Creates a new handler.
    060     *
    061     * @param parser  the parser.
    062     */
    063    public AbstractElementDefinitionHandler(final Parser parser) {
    064        this.parser = parser;
    065    }
    066
    067    /**
    068     * Callback to indicate that an XML element start tag has been read by the parser.
    069     *
    070     * @param tagName  the tag name.
    071     * @param attrs  the attributes.
    072     *
    073     * @throws SAXException if a parser error occurs or the validation failed.
    074     */
    075    public void startElement(final String tagName, final Attributes attrs) throws SAXException {
    076        // nothing required
    077    }
    078
    079    /**
    080     * Callback to indicate that some character data has been read.
    081     *
    082     * @param ch  the character array.
    083     * @param start  the start index for the characters.
    084     * @param length  the length of the character sequence.
    085     * @throws SAXException if a parser error occurs or the validation failed.
    086     */
    087    public void characters(final char[] ch, final int start, final int length) throws SAXException {
    088        // nothing required
    089    }
    090
    091    /**
    092     * Callback to indicate that an XML element end tag has been read by the parser.
    093     *
    094     * @param tagName  the tag name.
    095     *
    096     * @throws SAXException if a parser error occurs or the validation failed.
    097     */
    098    public void endElement(final String tagName) throws SAXException {
    099        // nothing required
    100    }
    101
    102    /**
    103     * Returns the parser.
    104     *
    105     * @return The parser.
    106     */
    107    public Parser getParser() {
    108        return this.parser;
    109    }
    110}